PixToolTest1 (javadoc for PixTools)
Date: 2012-07-30

gov.fnal.eag.healpix.test

## Class PixToolTest1

- java.lang.Object
- - TestCase
  - - gov.fnal.eag.healpix.test.PixToolTest1

-     public class PixToolTest1
      extends TestCase

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PixToolTest1.RaDePoint` Simple point on sky.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) long` | `NSIDE1`
    `(package private) long` | `NSIDE2`
    `(package private) static PixTools` | `tools`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PixToolTest1()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getHealId(double ra, double de, long nsides)` get position ID for ra,de
    `static PixToolTest1.RaDePoint` | `getRaDe(long area, long nsides)` inverse method, convert area ID to RaDePoint
    `void` | `testCircle1()`
    `void` | `testCircle2()`
    `void` | `testCircle3()`
    `void` | `testCircle4()`
    `void` | `testCircle5()` with NSIDE 512
    `void` | `testInverse()`
    `void` | `testVertexes()` with NSIDE 512
    `void` | `testVertexesHR()` with high res.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tools

          static PixTools tools

    - #### NSIDE1

          long NSIDE1

    - #### NSIDE2

          long NSIDE2

  - ### Constructor Detail

    - #### PixToolTest1

          public PixToolTest1()

  - ### Method Detail

    - #### testCircle1

          public void testCircle1()

    - #### testCircle2

          public void testCircle2()

    - #### testCircle3

          public void testCircle3()

    - #### testCircle4

          public void testCircle4()

    - #### testCircle5

          public void testCircle5()

      with NSIDE 512

    - #### testVertexes

          public void testVertexes()

      with NSIDE 512

    - #### testVertexesHR

          public void testVertexesHR()

      with high res.

    - #### testInverse

          public void testInverse()

    - #### getHealId

          public long getHealId(double ra,
                       double de,
                       long nsides)

      get position ID for ra,de
      Parameters:
        `ra` - right ascencion in degrees
        `de` - declination in degrees
        `nsides` - - non default number of nsides

    - #### getRaDe

          public static PixToolTest1.RaDePoint getRaDe(long area,
                                       long nsides)

      inverse method, convert area ID to RaDePoint